Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.results
Class ListCalendarResult

    java.lang.Object
      com.tibco.bpm.web.client.services.results.ListCalendarResult

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, net.customware.gwt.dispatch.shared.Result

    public class ListCalendarResult

extends java.lang.Object
implements net.customware.gwt.dispatch.shared.Result

Consists of the list of known WorkCalendar instances (that is; Base and Overlay Calendars). If there are no WorkCalendar instances, the result will be an empty list. If an optional namespace value can be specified in the action `ListCalendars` then will consists of only those calendars with the given namespace. The namespace comparison will be case-sensitive. If the given namespace ends in an asterisk, then all calendars whose namespace starts with the given value will be returned. If no namespace is specified, all calendars will be listed.

©2012 TIBCO Software Inc.

Since:
  2.0

Constructor Summary
`ListCalendarResult(java.util.ArrayList<CalendarSummary> calendarSummaries)` Constructor.

Method Summary
`java.util.ArrayList<CalendarSummary>` | `getCalendarSummaries()` Gets a list of CalendarSummary instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListCalendarResult

    public ListCalendarResult(java.util.ArrayList<CalendarSummary> calendarSummaries)

  Constructor.

  Parameters:
    `calendarSummaries` -

Method Detail

### getCalendarSummaries

    public java.util.ArrayList<CalendarSummary> getCalendarSummaries()

  Gets a list of CalendarSummary instances.

  Returns:
    Returns the calendarSummaries.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.